Subject: Errata 5170, 5171, 5172 on RFC8200

From: Bob Hinden <[email-masked]>
Date: Tue, 30 Jul 2019 18:55:33 -0700

Hi,

During the 6man session on Thursday at IETF 105 in Montreal, we presented a proposed solution to Errata 5170, 5171, 5172 that have been filed on the Fragment Header section in RFC8200.   The presentation is available at:

https://datatracker.ietf.org/meeting/105/materials/slides-105-6man-sessa-ipv6-rfc8200-fragmentation-errata-00

The three errata can be found at:

https://www.rfc-editor.org/errata_search.php?rfc=8200

The problem indicated in Errata 5170, 5171, 5172 is a real issue with the text in Section 4.5.   As discussed in the 6man session the plan is to update the errata with the corrected text.  The first step is to review the proposed corrected text that was shown in the w.g. session.

Three files are attached:

sec4-5-orig.txt                  The original section 4.5 from RFC8200
sec4-5-new.txt                   The proposed section 4.5 replacement
sec4-5-new-from-orig.diff.html   A diff of the two.

As discussed in the working group session, we think this is a better way to resolve the issues raised in the Errata than the proposed text in the errata.   This should make the text easier to understand than what is currently in RFC8200.

Please review.   We would also like a few people to implement code from the new text to help ensure it is correct.  Please contact us if you are interested in doing this.

After we agree on the new text, the errata will be processed by Suresh.  Then we can discuss if we should also do an updating RFC with a replacement for Section 4.5.

There was not any support in the w.g. for doing a full RFC8200bis with these changes.

Thanks
Bob & Ole